/**
* DevExtreme (ui/grid_core/ui.grid_core.utils.d.ts)
* Version: 22.2.4 (build 23079-0308)
* Build date: Mon Mar 20 2023
*
* Copyright (c) 2012 - 2023 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
/**
 * @deprecated Attention! This type is for internal purposes only. If you used it previously, please submit a ticket to our {@link https://supportcenter.devexpress.com/ticket/create Support Center}. We will check if there is an alternative solution.
 */
export interface Utils {
  renderNoDataText: (this: any, $element) => any;
  renderLoadPanel: (this: any, $element, $container, isLocalStore) => any;
  calculateLoadPanelPosition: ($element) => any;
  getIndexByKey: (key, items, keyName?) => any;
  combineFilters: (filters, operation?) => any;
  checkChanges: (changes, changeNames) => any;
  equalFilterParameters: any;
  proxyMethod: (instance, methodName, defaultResult?) => any;
  formatValue: any;
  getFormatOptionsByColumn: (column, target) => any;
  getDisplayValue: (column, value, data, rowType?) => any;
  getGroupRowSummaryText: (summaryItems, summaryTexts) => any;
  getSummaryText: any;
  normalizeSortingInfo: any;
  getFormatByDataType: (dataType) => any;
  getHeaderFilterGroupParameters: (column, remoteGrouping) => any;
  equalSortParameters: (sortParameters1, sortParameters2, ignoreIsExpanded?) => any;
  getPointsByColumns: (items, pointCreated, isVertical, startColumnIndex) => any;
  getExpandCellTemplate: () => any;
  setEmptyText: any;
  isDateType: any;
  getSelectionRange: (focusedElement) => any;
  setSelectionRange: (focusedElement, selectionRange) => any;
  focusAndSelectElement: (component, $element) => any;
  getWidgetInstance: any;
  getLastResizableColumnIndex: (columns, resultWidths) => any;
  isElementInCurrentGrid: (controller, $element) => any;
  isVirtualRowRendering: (that) => any;
  getPixelRatio: (window) => any;
  _setPixelRatioFn: (value) => any;
  getContentHeightLimit: (browser) => any;
  normalizeLookupDataSource: (lookup) => any;
  getWrappedLookupDataSource: (column, dataSource, filter) => any;
}

/**
 * @deprecated Attention! This type is for internal purposes only. If you used it previously, please submit a ticket to our {@link https://supportcenter.devexpress.com/ticket/create Support Center}. We will check if there is an alternative solution.
 */
declare const utils: Utils;

export default utils;
